WordPress 5.6 is vrijgegeven 1

WordPress 5.6 is vrijgegeven

Het delen van je verhalen is nog nooit zo eenvoudig geweest.

WordPress 5.6 biedt je talloze manieren om je ideeën de vrije loop te laten en ze tot leven te brengen. Met een gloednieuw standaardthema als je canvas, ondersteunt het een steeds groter wordende verzameling blokken als je penselen. Verf met woorden. Afbeeldingen. Geluid. Of rich embedded media.

Meer flexibiliteit in de lay-out

Breng je verhalen tot leven met meer gereedschappen waarmee je je lay-out met of zonder code kunt bewerken. Blokken met één kolom, ontwerpen met verschillende breedtes en kolommen, headers over de volledige breedte en video’s in je cover blok – breng met hetzelfde gemak kleine wijzigingen of grote uitspraken aan!

Meer blokpatronen

In geselecteerde thema’s maken voor-geconfigureerde blokpatronen het opzetten van standaardpagina’s op je site een fluitje van een cent. Ontdek de kracht van patronen om je workflow te stroomlijnen, of deel een deel van die kracht met je klanten en bespaar jezelf een paar klikken.

Upload videobijschriften direct in de blokeditor

Om je te helpen ondertiteling of bijschriften toe te voegen aan je videos, kan je ze nu uploaden in je bericht of pagina. Dit maakt het makkelijker dan ooit om videos toegankelijk te maken voor iedereen die ondertiteling nodig heeft of hiervoor de voorkeur voor heeft.

Twenty Twenty-One is er!

Twenty Twenty-One is een leeg canvas voor je ideeën en de blok-editor is het beste penseel. Het is gebouwd voor de blok-editor en zit boordevol gloednieuwe blokpatronen die je alleen in de standaardthema’s kunt krijgen. Probeer binnen enkele seconden verschillende lay-outs uit en laat het opvallende, maar tijdloze ontwerp van het thema je werk doen stralen.

WordPress 5.6 is vrijgegeven 2

Aanvullend, dit standaardthema zet de toegankelijkheid in het hart van je site. Het voldoet aan de WordPress accessibility-ready richtlijnen en behandeld verschillende meer gespecialiseerde normen van de Web Content Accessibility Guidelines (WCAG) 2.1 at level AAA. Het helpt je bij het voldoen aan het hoogste niveau van internationale toegankelijkheidsnormen wanneer je toegankelijke inhoud maakt en kiest plugins die ook toegankelijk zijn!

Een regenboog van zachte pastelkleuren

WordPress 5.6 is vrijgegeven 3

Twenty Twenty-One is perfect voor een nieuw jaar en biedt je een reeks vooraf geselecteerde kleurenpaletten in pastelkleuren, die allemaal voldoen aan de AAA-normen voor contrast. Je kan ook je eigen achtergrondkleur voor het thema kiezen, en het thema kiest automatisch bewust toegankelijke tekstkleuren voor je!

Meer flexibiliteit nodig dan dat? Je kunt ook je eigen kleurenpalet kiezen uit de kleurenkiezer.

WordPress 5.6 is vrijgegeven 4

Verbeteringen voor iedereen

Auto-updates uitgebreid

Jarenlang konden alleen ontwikkelaars WordPress automatisch updaten. Maar nu heb je die optie, rechtstreeks in je dashboard. Als dit je eerste site is, heb je nu auto-updates klaar voor gebruik! Een bestaande site upgraden? Geen probleem! Alles is hetzelfde als voorheen.

Template voor toegankelijkheidsverklaring

Zelfs als je geen expert bent, kun je mensen met een klik op de knop laten weten dat je site zich inzet voor toegankelijkheid! De nieuwe functie plugin bevat een template kopie die je kan updaten en publiceren, en het is geschreven om verschillende contexten en rechtsgebieden te ondersteunen.

Ingebouwde patronen

Als je nog niet de kans hebt gehad om met blokpatronen te spelen, hebben alle standaardthema’s nu een reeks blokpatronen waarmee je complexe lay-outs met minimale inspanning onder de knie kunt krijgen. Pas de patronen naar wens aan met de tekst, afbeeldingen en kleuren die bij je verhaal of merk passen.

Voor ontwikkelaars

REST API authenticatie met applicatie wachtwoorden

Dankzij de nieuwe autorisatiefunctie voor Application Passwords van de API kunnen apps van derden naadloos en veilig verbinding maken met je site. Met deze nieuwe REST API functie kan je zien welke apps verbinding maken met je site en bepalen wat ze doen.

Meer ondersteuning voor PHP 8

5.6 markeert de eerste stappen in de richting van WordPress Core ondersteuning voor PHP 8. Dit is een goed moment om te plannen hoe je WordPress producten, diensten en sites de nieuwste PHP-versie kunnen ondersteunen. Voor meer informatie over wat je kan verwachten, lees de PHP 8 ontwikkelaar notitie.

jQuery

Updates voor jQuery in WordPress vinden plaats in drie releases:5.5, 5.6 en 5.7. Als we het midden van dit proces hebben bereikt, voer je de update test plugin uit om je sites van tevoren op fouten te controleren.

Als je problemen hebt met de manier waarop je site er uitziet (bijv. een slider werkt niet, een knop zit vast – dat soort dingen), installeer dan de jQuery Migrate plugin.


Bekijk de Field Guide voor meer informatie!

Bekijk de nieuwste versie van de WordPress Field Guide. Het heeft opmerkingen van ontwikkelaars voor elke wijziging waarvan je op de hoogte wil zijn: WordPress 5.6 Field Guide.